Bug 1661449 (CVE-2018-19841) - CVE-2018-19841 wawpack: Out-of-bounds read in WavpackVerifySingleBlock function resulting in a denial of service
Summary: CVE-2018-19841 wawpack: Out-of-bounds read in WavpackVerifySingleBlock functi...
Keywords:
Status: NEW
Alias: CVE-2018-19841
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1663151 1661450 1661451 1661452 1663152
Blocks: 1661453
TreeView+ depends on / blocked
 
Reported: 2018-12-21 09:53 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-21 09:53:31 UTC
The function WavpackVerifySingleBlock in open_utils.c in libwavpack.a in WavPack through 5.1.0 allows attackers to cause a denial-of-service (out-of-bounds read and application crash) via a crafted WavPack Lossless Audio file, as demonstrated by wvunpack.

Upstream issue:

https://github.com/dbry/WavPack/issues/54

Upstream patch:

https://github.com/dbry/WavPack/commit/bba5389dc598a92bdf2b297c3ea34620b6679b5b

Comment 1 Andrej Nemec 2018-12-21 09:54:08 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1661452]
Affects: fedora-all [bug 1661451]


Created wavpack tracking bugs for this issue:

Affects: fedora-all [bug 1661450]

Comment 2 Stefan Cornelius 2019-01-03 10:19:54 UTC
Statement:

This issue did not affect the versions of wavpack as shipped with Red Hat Enterprise Linux 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.